Package be.cin.mycarenet._1_0.carenet.types

# Class ResponseDetailType

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.ResponseDetailType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class ResponseDetailType extends Object implements Serializable

Java class for ResponseDetailType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponseDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ConsultantDoctor" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType"/>
             <element name="Decision" type="{urn:be:cin:mycarenet:1.0:carenet:types}DecisionType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseDetailType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConsultantDoctor()`
  Gets the value of the consultantDoctor property.
  `DecisionType`
  `getDecision()`
  Gets the value of the decision property.
  `void`
  `setConsultantDoctor(String value)`
  Sets the value of the consultantDoctor property.
  `void`
  `setDecision(DecisionType value)`
  Sets the value of the decision property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResponseDetailType

    public ResponseDetailType()

- ## Method Details

  - ### getConsultantDoctor

    public String getConsultantDoctor()
    Gets the value of the consultantDoctor property.
    Returns:
      possible object is `String`

  - ### setConsultantDoctor

    public void setConsultantDoctor(String value)
    Sets the value of the consultantDoctor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDecision

    public DecisionType getDecision()
    Gets the value of the decision property.
    Returns:
      possible object is `DecisionType`

  - ### setDecision

    public void setDecision(DecisionType value)
    Sets the value of the decision property.
    Parameters:
      `value` - allowed object is `DecisionType`